Class Index | File Index

## Classes

- _global_
- Dygraph
- DygraphCanvasRenderer
- DygraphInteraction
- DygraphLayout
- DygraphOptions
- grid
- GVizChart
- GVizDataTable

# Class DygraphCanvasRenderer

Defined in: dygraph-canvas.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DygraphCanvasRenderer(dygraph, element, elementContext, layout)

Class Detail
DygraphCanvasRenderer(dygraph, element, elementContext, layout)

Parameters:
{Dygraph} dygraph
  The chart to which this renderer belongs.
{HTMLCanvasElement} element
  The <canvas> DOM element on which to draw.
{CanvasRenderingContext2D} elementContext
  The drawing context.
{DygraphLayout} layout
  The chart's DygraphLayout object. TODO(danvk): remove the elementContext property.

Documentation generated by JsDoc Toolkit 2.4.0 for dygraph 2.2.0